Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.service.spi
Interface Stoppable

All Known Implementing Classes:
  C3P0ConnectionProvider, DataSourceBasedMultiTenantConnectionProviderImpl, DatasourceConnectionProviderImpl, DriverManagerConnectionProviderImpl, InjectedDataSourceConnectionProvider, JmxServiceImpl, TestingJtaBootstrap.JtaAwareDataSourceConnectionProvider

    public interface Stoppable

Lifecycle contract for services which wish to be notified when it is time to stop.

Method Summary
`void` | `stop()` Stop phase notification

Method Detail

### stop

    void stop()

  Stop phase notification

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.